List product cards
curl --request GET \
--url https://api.example.com/catalog/product-cardimport requests
url = "https://api.example.com/catalog/product-card"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/catalog/product-card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"category_id": "<string>",
"currency": "<string>",
"date_created": "<string>",
"date_deleted": "<string>",
"date_updated": "<string>",
"description": "<string>",
"id": "<string>",
"is_active": true,
"is_favorite": true,
"name": "<string>",
"original_price": 123,
"price": 123,
"promotions": [
{
"description": "<string>",
"id": "<string>",
"title": "<string>"
}
],
"rating": {
"score": 123,
"total": 123
},
"resources": [
{
"checksum": "<string>",
"id": "<string>",
"mime": "<string>",
"size": 123,
"url": "<string>"
}
],
"seller_id": "<string>",
"slug": "<string>",
"sold": 123
}
],
"pagination": {
"cursor": "<string>",
"limit": 123,
"next_cursor": "<string>",
"next_page": 123,
"page": 123,
"total": 123
}
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"http_status": 123,
"message": "<string>"
}
}catalog
List product cards
GET
/
catalog
/
product-card
List product cards
Query Parameters
Page number (offset mode)
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100Keyset cursor (cursor mode)
Sort, e.g. -date_created
Filter by seller ID (UUID)
Filter by category IDs (UUID)
Filter by tags
Search term
Minimum price
Maximum price
Created after (unix)
Created before (unix)
⌘I